# Array add

An action block that inserts a value into an array.

The fiber will proceed immediately without pause.

The value is inserted into the array at the index position, the element already at that position and any subsequent elements will be shifted to the right, adding one to their indices. If index is empty, or evaluate to `null`, the new value will be appended to the end of the array. The array will be padded with `null` if index is greater that the length of the array. If the Array variable isn’t already assigned an array, a new array is assigned.

## Variable

- Array — variable to assign, or assigned with the array to modify.

## Input arguments

- Index — position to insert the value, default is end of array.
- Value — value to be inserted, default is `null`.